/* Define the colors */
:root {
    --blue-1: #1b8bff; /* Vivid Blue */
    --blue-2: #5cadff; /* Light Sky Blue */
    --blue-3: #9cd0ff; /* Soft Baby Blue */
    --blue-4: #d7ecff; /* Very Pale Blue */
    --green-1: #2e9750; /* Deep Green */
    --green-2: #e1f2e6; /* Soft Green */
    --red-1: #e03b2d; /* Warm Red */
    --red-2: #fcddd9; /* Pastel Red */
    --yellow-1: #f38a20; /* Deep Orange */
    --yellow-2: #f5b800; /* Deep Amber */
    --yellow-3: #fff5d4; /* Soft Warm Yellow */
    --gray-1: #e9e9ed; /* Lavender Gray */
    --gray-2: #f6f7f7; /* Very Light Gray */
    --gray-3: #f7fafc; /* Soft White */
}

/* Define the fonts */
@font-face {
    font-family: "DM Sans";
    src: url("../webfonts/DMSans-VariableFont_opsz,wght.ttf") format("truetype");
    font-weight: 100 900;
    font-style: normal;
}

@font-face {
    font-family: "DM Sans";
    src: url("../webfonts/DMSans-Italic-VariableFont_opsz,wght.ttf") format("truetype");
    font-weight: 100 900;
    font-style: italic;
}

body,
html {
    height: 100%;
    margin: 0;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: "DM Sans", sans-serif;
}

/* Floating message styles */
.floating_message {
    display: none;
    position: fixed;
    top: 20px;
    right: 20px;
    width: 300px;
    padding: 15px 20px;
    font-size: 14px;
    z-index: 1000;
    line-height: 1.8em;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 6px;
    word-wrap: break-word;
    color: #fff;
    background-color: var(--blue-1);
}

/* Full width on smaller screens */
@media (max-width: 768px) {
    .floating_message {
        left: 0;
        right: 0;
        top: 10px;
        margin: 0 10px;
        max-width: none;
        width: calc(100% - 20px);
        text-align: center;
    }
}

.floating_message.show {
    display: block;
}

.floating_message.success {
    background-color: var(--green-1);
}

.floating_message.error {
    background-color: var(--red-1);
}

/* Scrollbar styles  */
::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px #f8f4f1;
    border-radius: 0px;
}

::-webkit-scrollbar-thumb {
    background: var(--blue-1);
    border-radius: 50px;
}

::-webkit-scrollbar:horizontal {
    height: 5px;
    background-color: transparent;
}

::-webkit-scrollbar-thumb:horizontal {
    background: var(--blue-1);
    border-radius: 50px;
}

::-webkit-scrollbar-track:horizontal {
    box-shadow: inset 0 0 5px #fff;
    border-radius: 50px;
}

/* Button styles */
.button {
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background 0.3s ease-in-out;
    position: relative;
    height: 50px;
    line-height: 50px;
}

.button.loading {
    pointer-events: none;
}

.button .spinner {
    display: none;
    width: 21px;
    height: 21px;
    border: 2px solid #fff;
    border-top-color: transparent;
    border-radius: 50%;
    animation: spin 0.6s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.button.loading .spinner {
    display: inline-block;
}

/* Input styles  */
label {
    font-weight: 400;
    font-size: 14px;
}

.custom-input {
    height: 45px;
    border-radius: 5px;
}

.custom-input::placeholder {
    font-size: 14px;
}

.custom-input {
    font-size: 14px !important;
}

.form-control:focus {
    border-color: #ddd;
    box-shadow: none;
    outline: none;
}

.form-control {
    border: 1px solid #ddd !important;
    box-shadow: none !important;
    color: #333 !important;
}

input[type="text"][disabled] {
    background-color: #fff !important;
    font-size: 14px;
}

/* UAM navbar styles */
.uam_navbar_container {
    width: 100%;
    height: 60px;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    position: fixed;
    top: 0;
    left: 0;
}

.logo_container img {
    height: 40px;
    object-fit: contain;
    cursor: pointer;
}

/* UAM styles */
.uam_hero {
    font-size: 24px;
    font-weight: 500;
    padding-bottom: 20px;
}

.uam_1 {
    font-size: 14px;
    font-weight: 500;
    text-align: center;
    padding-top: 20px;
}

.uam_2 {
    font-size: 14px;
    font-weight: 500;
    text-align: center;
    padding-top: 10px;
    line-height: 1.8em;
}

.uam_3 {
    font-size: 14px;
    font-weight: 500;
    text-align: center;
    padding-top: 20px;
}

.uam_span_1 {
    color: var(--blue-1);
    cursor: pointer;
}

.uam_span_2 {
    color: var(--blue-1);
    cursor: pointer;
}

.uam_button {
    background-color: var(--blue-1);
    border: none;
    border-radius: 5px;
    color: white;
    padding: 14px;
    text-decoration: none;
    font-size: 15px;
    font-weight: 500;
    width: 100%;
    height: 50px;
}

/* UAM form styles */
.uam_form_container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    width: 400px;
}

.uam_form_container::-webkit-scrollbar {
    display: none;
}

.uam_form_container_footer {
    font-size: 14px;
    font-weight: 500;
    line-height: 1.8em;
    margin-top: 10px;
    text-align: center;
}

@media (max-width: 768px) {
    .uam_form_container {
        width: 100%;
        margin-right: 0;
        box-shadow: none;
    }

    .uam_form_container {
        width: calc(100% - 30px);
        margin-left: 15px;
        margin-right: 15px;
    }
}